/*
 * $Id: Configuration_toFile.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Configuration.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Configuration::toFile"
  void Configuration::toFile (std::string dirname)
  {
    log_begin(Configuration,FUNCTION);

    _simulator->toFile(dirname);
    _generator->toFile(dirname);
    _instance ->toFile(dirname);

    log_end(Configuration,FUNCTION);
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
